<?php

class Affilibee_Requests_Detail
{
    public static function render($request_id)
    {
        $request = Affilibee_Database::get_request($request_id);

        if (!$request) {
            wp_die(__('Request not found', 'affilibee'));
        }

        $back_url = remove_query_arg('request_id');

        echo '<div class="wrap">';
        echo '<h2>' . sprintf(__('Request Detail #%d', 'affilibee'), $request_id) . '</h2>';
        echo '<p><a href="' . esc_url($back_url) . '" class="button">' .
            esc_html__('← Back to Requests', 'affilibee') .
            '</a></p>';

        echo '<table class="form-table">
            <tr>
                <th>' . esc_html__('ID', 'affilibee') . '</th>
                <td>' . esc_html($request->id) . '</td>
            </tr>
            <tr>
                <th>' . esc_html__('Created At', 'affilibee') . '</th>
                <td>' . esc_html($request->created_at) . '</td>
            </tr>
            <tr>
                <th>' . esc_html__('Status', 'affilibee') . '</th>
                <td>' . ($request->success_status ? '<span style="color: green;">Success</span>' : '<span style="color: red;">Failed</span>') . '</td>
            </tr>
            <tr>
                <th>' . esc_html__('Type', 'affilibee') . '</th>
                <td>' . esc_html($request->type) . '</td>
            </tr>
            <tr>
                <th>' . esc_html__('Order ID', 'affilibee') . '</th>
                <td>';
        if ($request->order_id) {
            $order_link = admin_url('post.php?post=' . $request->order_id . '&action=edit');
            echo '<a href="' . esc_url($order_link) . '">#' . esc_html($request->order_id) . '</a>';
        } else {
            echo esc_html__('N/A', 'affilibee');
        }
        echo '</td>
            </tr>
            <tr>
                <th>' . esc_html__('Request Payload', 'affilibee') . '</th>
                <td>';
        $prettyRequest = $request->request_payload;
        $decodedRequest = json_decode($request->request_payload);
        if (json_last_error() === JSON_ERROR_NONE) {
            $prettyRequest = json_encode($decodedRequest, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE);
        }
        echo '<pre style="white-space: pre-wrap; word-wrap: break-word; max-height: 300px; overflow-y: auto;">' . esc_html($prettyRequest) . '</pre>';
        echo '</td>
            </tr>
            <tr>
                <th>' . esc_html__('Response Payload', 'affilibee') . '</th>
                <td>';
        $prettyResponse = $request->response_payload;
        $decodedResponse = json_decode($request->response_payload);
        if (json_last_error() === JSON_ERROR_NONE) {
            $prettyResponse = json_encode($decodedResponse, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE);
        }
        echo '<pre style="white-space: pre-wrap; word-wrap: break-word; max-height: 300px; overflow-y: auto;">' . esc_html($prettyResponse) . '</pre>';
        echo '</td>
            </tr>
        </table>';

        echo '</div>';
    }
}