
<?php

class Affilibee_Requests_List
{
    public static function render()
    {
        $per_page = 20;
        $current_page = isset($_GET['paged']) ? max(1, intval($_GET['paged'])) : 1;
        $offset = ($current_page - 1) * $per_page;

        $requests = Affilibee_Database::get_requests($per_page, $offset);
        $total_requests = Affilibee_Database::get_requests_count();
        $total_pages = ceil($total_requests / $per_page);

        echo '<h2>' . esc_html__('Affilibee Requests', 'affilibee') . '</h2>';

        echo '<table class="widefat fixed striped">
            <thead>
                <tr>
                    <th>' . esc_html__('ID', 'affilibee') . '</th>
                    <th>' . esc_html__('Created At', 'affilibee') . '</th>
                    <th>' . esc_html__('Status', 'affilibee') . '</th>
                    <th>' . esc_html__('Type', 'affilibee') . '</th>
                    <th>' . esc_html__('Order ID', 'affilibee') . '</th>
                    <th>' . esc_html__('Actions', 'affilibee') . '</th>
                </tr>
            </thead>
            <tbody>';

        foreach ($requests as $request) {
            $detail_url = add_query_arg([
                'page' => 'wc-settings',
                'tab' => 'affilibee',
                'section' => 'requests',
                'request_id' => $request->id
            ], admin_url('admin.php'));

            echo '<tr>
                <td>' . esc_html($request->id) . '</td>
                <td>' . esc_html($request->created_at) . '</td>
                <td>' . ($request->success_status ? '<span style="color: green;">Success</span>' : '<span style="color: red;">Failed</span>') . '</td>
                <td>' . esc_html($request->type) . '</td>
                <td>' . esc_html($request->order_id) . '</td>
                <td><a href="' . esc_url($detail_url) . '" class="button">' .
                esc_html__('View Details', 'affilibee') .
                '</a></td>
            </tr>';
        }

        echo '</tbody></table>';

        echo '<div class="tablenav bottom">';
        echo '<div class="tablenav-pages">';
        echo '<span class="displaying-num">' . sprintf(
            /* translators: %s: number of items */
            _n('%s item', '%s items', $total_requests, 'affilibee'),
            number_format_i18n($total_requests)
        ) . '</span>';

        if ($total_pages > 1) {
            $page_links = paginate_links(array(
                'base' => add_query_arg('paged', '%#%'),
                'format' => '',
                'prev_text' => __('&laquo;'),
                'next_text' => __('&raquo;'),
                'total' => $total_pages,
                'current' => $current_page
            ));

            echo '<span class="pagination-links">' . $page_links . '</span>';
        }
        echo '</div>';
        echo '</div>';
    }
}