<?php

/**
 * Class Affilibee_Cookie_Handler
 *
 * Handles cookie operations for the Affilibee plugin.
 *
 * @package Affilibee
 */
class Affilibee_Cookie_Handler {
    public static function init() {
        add_action('init', array(__CLASS__, 'capture_affiliate_slug'));
    }

    public static function capture_affiliate_slug() {
        if (isset($_GET[Affilibee_Config::AFFILIBEE_URL_PARAM])) {
            $affiliate_slug = sanitize_text_field($_GET[Affilibee_Config::AFFILIBEE_URL_PARAM]);
            setcookie(
                Affilibee_Config::COOKIE_NAME,
                $affiliate_slug,
                time() + Affilibee_Config::COOKIE_EXPIRY,
                "/"
            );
        }
    }
}