<?php

/**
 * Class Affilibee_Display
 *
 * This class is responsible for handling the display functionalities of the Affilibee plugin.
 *
 * @package Affilibee
 * @subpackage Affilibee/includes
 */
class Affilibee_Display {
    public static function init() {
        add_action('woocommerce_admin_order_data_after_order_details', array(__CLASS__, 'display_order_meta_section'), 10, 1);
        add_action('woocommerce_product_options_general_product_data', array(__CLASS__, 'display_product_segment_slugs'));
    }

    public static function display_order_meta_section($order) {
        $affiliate_slug = $order->get_meta('_affilibee_affiliate_slug');
        if ($affiliate_slug) {
            echo '<p class="form-field form-field-wide" style="margin-top: 20px;">This order was attributed to affiliate <strong>' . esc_html($affiliate_slug) . '</strong> via Affilibee.</p>';
        }
    }

    public static function display_product_segment_slugs() {
        global $post;
        $slugs = Affilibee_Database::get_product_segment_slugs($post->ID);
        echo '<div class="options_group">';
        echo '<p>Affilibee Segment Slugs: <strong>' . esc_html($slugs) . '</strong><br>';
        echo 'Segment slugs are generated from a product’s categories and can be used to set different commission rates for each product. <a target="_blank" href=' . Affilibee_Config::AFFILIBEE_DOC_URL . '>Learn more</a>';
        echo '</div>';
    }
}