<?php

/**
 * Class Affilibee_Order_Meta_Handler
 *
 * Handles the order meta data for the Affilibee plugin.
 *
 * @package Affilibee
 * @subpackage Affilibee/includes
 */
class Affilibee_Order_Meta_Handler {
    public static function init() {
        add_action('woocommerce_new_order', array(__CLASS__, 'save_order_affiliate'));
    }

    public static function save_order_affiliate($order_id) {
        if (isset($_COOKIE[Affilibee_Config::COOKIE_NAME])) {
            $order = wc_get_order($order_id);
            if ($order) {
                $affiliate_slug = sanitize_text_field($_COOKIE[Affilibee_Config::COOKIE_NAME]);
                $order->update_meta_data(Affilibee_Config::META_KEY_AFFILIATE_SLUG, $affiliate_slug);
                $order->save();
            }
        }
    }
}